<!-- File Selector -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language=javascript>
<!--

  function doOnLoad()
  {
    if(window.dialogArguments)
      document.getElementById('Input').value = window.dialogArguments;
    if(window.opener && window.opener.GetE && window.opener.GetE('txtUrl'))
    {
      document.getElementById('Input').value = window.opener.GetE('txtUrl').value;
    }
  }
// -->
</script>
<script language="JavaScript">
<!--
function getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
        vars[key] = value;
    });
    return vars;
}


function OkClick() {
//  var arr = new Array();
  arr = document.getElementById('Input').value;
  if(window.opener && window.opener.SetUrl){
    window.opener.SetUrl(arr);
  }
  var search_value = getUrlVars()['CKEditorFuncNum'];
  window.returnValue = arr;
  window.opener.CKEDITOR.tools.callFunction(search_value,arr);

  if(typeof opener_callback_function == 'function'){
  	opener_callback_function(arr);
  }
  
  window.close();
}
// -->
</script>
</head>

<body bgcolor="#E8E8E8" onload="doOnLoad();">
<form name="Form" id="Form">
<input type="hidden" name="Path" id="Path" value="">
<table width="100%" height="100%" cellpadding="3" cellspacing="3" border="0">
  <tr>
    <td colspan="3" width="100%">
    <iframe frameborder="1" name="iframe" id="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="auto"></iframe>
    </td>
  </tr>
  <tr>
    <td height="25" width="30%" align="left" nowrap>
    {%%if:canmanagefiles:ok%%}
    <input type="button" value="{%langstr:docs_upload%}" OnClick="frames['iframe'].location='?module=files&action=upload&dialog=1&close=no&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    <input type="button" value="{%langstr:make_directory%}" OnClick="frames['iframe'].location='?module=files&action=newdir&dialog=1&close=no&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    {%%endif%%}
    </td>
    <td height="25" width="20%" align="right" nowrap>{%str:label%}</td>
    <td height="25" width="50%" align="left"><input name="Input" id="Input" type="text" style="width: 100%"></td>
  </tr>
  <tr>
    <td height="30" width="25%" align="left"></td>
    <td height="30" width="25%" align="left"></td>
    <td height="30" width="50%" align="right">
    <input type="button" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;{%langstr:ok%}&nbsp;&nbsp;&nbsp;" OnClick="OkClick();">
    <input type="button" name="Cancel" class="formButton" value="{%langstr:cancel%}" OnClick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>

</html>
